package com.fjhx.form.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.dto.AccountRunningWaterDto;
import com.fjhx.form.entity.*;
import com.fjhx.form.service.FinanceReportService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

@RestController
@RequestMapping("/report/finance")
public class FinanceReportController {

    @Autowired
    private FinanceReportService financeReportService;

    @PostMapping("/subjectBalance")
    List<SubjectBalanceBo> subjectBalance(@RequestBody SubjectBalanceSelectDto dto) {
        return financeReportService.subjectBalance(dto);
    }

    @PostMapping("/remitDetailPage")
    Page<RemitDetailVo> getRemitDetailPage(@RequestBody RemitDetailSelectDto dto) {
        return financeReportService.getRemitDetailPage(dto);
    }

    @Log(title = "汇款明细", businessType = BusinessType.EXPORT)
    @PostMapping("/remitDetailExcelExport")
    void remitDetailExcelExport(@RequestBody RemitDetailSelectDto dto, HttpServletResponse httpServletResponse) {
        financeReportService.remitDetailExcelExport(dto, httpServletResponse);
    }

    @Log(title = "汇款明细", businessType = BusinessType.UPDATE)
    @PostMapping("/remitDetail/edit")
    public void editRemitDetail(@RequestBody AccountRunningWaterDto dto) {
        financeReportService.editRemitDetail(dto);
    }

    @PostMapping("/accountsPayablePage")
    Page<AccountsPayableVo> getAccountsPayablePage(@RequestBody AccountsPayableSelectDto dto) {
        return financeReportService.getAccountsPayablePage(dto);
    }

    @Log(title = "应付账款汇总", businessType = BusinessType.EXPORT)
    @PostMapping("/accountsPayableExportExcel")
    public void excelExport(HttpServletResponse httpServletResponse, @RequestBody AccountsPayableSelectDto dto) {
        financeReportService.accountsPayableExportExcel(httpServletResponse, dto);
    }

}
