package com.fjhx.mes.entity.production.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 生产开工确认
 * </p>
 *
 * @author
 * @since 2024-06-19
 */
@Getter
@Setter
@TableName("production_begin_confirm")
public class ProductionBeginConfirm extends BasePo {

    /**
     * 生产订单id
     */
    private Long prodOrderId;

    /**
     * 预计上线
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date expectBeginTime;

    /**
     * 预计交货
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date expectDeliveryTime;

    /**
     * 是否同意开工1同意0不同意
     */
    private Integer isAgreeWork;

    /**
     * 走柜时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date cabinetExitTime;

    /**
     * 走柜是否明确1明确0不明确
     */
    private Integer isCabinetConfirm;

    /**
     * 其他说明
     */
    private String workRemark;

    /**
     * 状态
     */
    private Integer status;

    private Long flowId;

}
