package com.fjhx.oa.controller.personal;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.personal.dto.PersonalInvoiceDto;
import com.fjhx.oa.entity.personal.dto.PersonalInvoiceSelectDto;
import com.fjhx.oa.entity.personal.vo.PersonalInvoiceVo;
import com.fjhx.oa.service.personal.PersonalInvoiceService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 个人电子发票申请 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
@RestController
@RequestMapping("/personalInvoice")
public class PersonalInvoiceController {

    @Autowired
    private PersonalInvoiceService personalInvoiceService;

    /**
     * 个人电子发票申请分页
     */
    @PostMapping("/page")
    public Page<PersonalInvoiceVo> page(@RequestBody PersonalInvoiceSelectDto dto) {
        return personalInvoiceService.getPage(dto);
    }

    /**
     * 个人电子发票申请明细
     */
    @PostMapping("/detail")
    public PersonalInvoiceVo detail(@RequestBody BaseSelectDto dto) {
        return personalInvoiceService.detail(dto.getId());
    }

    /**
     * 个人电子发票申请新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PersonalInvoiceDto personalInvoiceDto) {
        personalInvoiceService.addOrEdit(personalInvoiceDto);
    }

    /**
     * 个人电子发票申请编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PersonalInvoiceDto personalInvoiceDto) {
        personalInvoiceService.addOrEdit(personalInvoiceDto);
    }

    /**
     * 个人电子发票申请删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        personalInvoiceService.delete(dto.getId());
    }

    @PostMapping("/cancellation")
    public void cancellation(@RequestBody BaseSelectDto dto) {
        personalInvoiceService.cancellation(dto.getId());
    }

}
