package com.fjhx.oa.controller.user;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.user.dto.UserSalarySelectDto;
import com.fjhx.oa.entity.user.vo.UserSalaryVo;
import com.fjhx.oa.service.user.UserSalaryService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 用户薪资备份表 前端控制器
 * </p>
 *
 * @author
 * @since 2024-06-18
 */
@RestController
@RequestMapping("/userSalary")
public class UserSalaryController {

    @Autowired
    private UserSalaryService userSalaryService;

    /**
     * 用户薪资备份表分页
     */
    @PostMapping("/page")
    public Page<UserSalaryVo> page(@RequestBody UserSalarySelectDto dto) {
        return userSalaryService.getPage(dto);
    }

    /**
     * 用户薪资备份表明细
     */
    @PostMapping("/detail")
    public UserSalaryVo detail(@RequestBody BaseSelectDto dto) {
        return userSalaryService.detail(dto.getId());
    }

}
