package com.fjhx.sale.entity.contract.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fjhx.file.entity.ObsFile;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 外销合同-产品
 * </p>
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
@TableName("contract_product")
public class ContractProduct extends BasePo {

    /**
     * 合同ID
     */
    private Long contractId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品型号
     */
    private String productModel;

    /**
     * 商品数量
     */
    private BigDecimal quantity;

    /**
     * 商品单价
     */
    private BigDecimal price;

    /**
     * 商品金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 消耗剩余数量
     */
    private BigDecimal expendQuantity;

    /**
     * 包装方式
     */
    private String packMethod;
    /**
     * 贸易方式
     */
    private String tradeMethod;

    /**
     * 生产源文件地址
     */
    private String prodFilePath;

    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;

    /**
     * 报价单商品表id
     */
    private Long quotationProductId;

    /**
     * 出厂价
     */
    private BigDecimal factoryPrice;

    /**
     * 上一版本合同产品id
     */
    private Long oldContractProductId;

    private BigDecimal businessCostPrice;
    //====订单评审表======================================================================================================
    /**
     * 评审状态
     */
    private Integer reviewStatus;
    private Long reviewFlowId;

    /**
     * 评审表-样品承认 1是 0否
     */
    private Integer isSampleRecognize;

    /**
     * 评审表-工程变更 1是 0否
     */
    private Integer isProjectChang;

    /**
     * 评审表-环保要求 1环保产品 0非环保产品
     */
    private Integer isEcoFriendly;

    /**
     * 评审表-运输方式 字典
     */
    private String transportMethod;

    /**
     * 评审表-附出货报告 1是 0否
     */
    private Integer isShippingReport;

    /**
     * 评审表-BOM表 1是 0否
     */
    private Integer isBomTable;

    /**
     * 评审表-样品确认 1是 0否
     */
    private Integer isSampleConfirm;

    /**
     * 评审表-工艺流程图 1是 0否
     */
    private Integer isTechnologyProcess;

    /**
     * 评审表-刀模完成 1是 0否
     */
    private Integer isKnifeMold;

    /**
     * 评审表-图纸完成 1是 0否
     */
    private Integer isDrawing;

    /**
     * 评审表-颜色样品 1是 0否
     */
    private Integer isColorSample;

    /**
     * 评审表-包装要求 1是 0否
     */
    private Integer isPackInfo;

    /**
     * 评审表-特殊要求
     */
    private String specialRemark;

    /**
     * 客供材料交期
     */
    private Date custProvidDate;

    /**
     * 评审表-主材交期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date mainMaterialTime;

    /**
     * 评审表-包材交期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date packMaterialTime;

    /**
     * 评审表-辅材交期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date auxMaterialTime;

    /**
     * 评审表-其他交期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date otherMaterialTime;

    /**
     * 评审表-采购注意事项
     */
    private String purchaseRemark;

    /**
     * 评审表-人员评估 10人员满足 20人员不足
     */
    private String personnelEval;

    /**
     * 评审表-设备评估 10设备满足 20设备不足
     */
    private String deviceEval;

    /**
     * 评审表-工艺评估 10工艺满足 20工艺不满足
     */
    private String technologyEval;

    /**
     * 评审表-瓶颈工序说明
     */
    private String bottleneckProcessRemark;

    /**
     * 评审表-检验标准 10客户标准 20行业标准 30公司标准
     */
    private String inspectStandard;

    /**
     * 评审表-抽样标准 10客户要求 20公司标准
     */
    private String samplingStandard;

    /**
     * 评审表-检验设备 10满足要求 20不满足要求
     */
    private String inspectDevice;

    /**
     * 评审表-生产注意事项
     */
    private String productionRemark;

    /**
     * 评审表-评审结果 10同意 20不同意
     */
    private String reviewResult;

    /**
     * 评审表-最终交期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date finalDeliveryTime;

    /**
     * 评审表-外部支持 10外协 20外购
     */
    private String externalSupport;

    /**
     * 评审表-供应链管理部备注
     */
    private String supplyRemark;

    //==========================================================================================================
    /**
     * 附件列表
     */
    @TableField(exist = false)
    private List<ObsFile> fileList;

    /**
     * 时间
     */
    @TableField(exist = false)
    private String time;

    /**
     * 月销售量
     */
    @TableField(exist = false)
    private BigDecimal contractQuantity;

    /**
     * 月销售额
     */
    @TableField(exist = false)
    private BigDecimal contractAmount;

    /**
     * 产品编码
     */
    @TableField(exist = false)
    private String productCode;

    /**
     * 产品中文名称
     */
    @TableField(exist = false)
    private String productCnName;

    /**
     * 产品单位
     */
    @TableField(exist = false)
    private String productUnit;

    @TableField(exist = false)
    private String productClassifyName;

    @TableField(exist = false)
    private Long productClassifyId;

}
