package com.fjhx.sale.service.claim.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.dto.AccountRunningWaterSelectDto;
import com.fjhx.account.entity.account.vo.AccountRunningWaterVo;
import com.fjhx.account.service.account.AccountRunningWaterService;
import com.fjhx.sale.service.claim.ClaimContractService;
import com.fjhx.sale.service.claim.SaleAccountRunningWaterService;
import com.ruoyi.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 账户资金流水表 服务实现类
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
@Service
public class SaleAccountRunningWaterServiceImpl implements SaleAccountRunningWaterService {

    @Autowired
    private ClaimContractService claimContractService;

    @Autowired
    private AccountRunningWaterService accountRunningWaterService;


    @Override
    public Page<AccountRunningWaterVo> getPage(AccountRunningWaterSelectDto dto) {
        if (StringUtils.isNotEmpty(dto.getKeyword())) {
            List<Long> accountIdList = claimContractService.getAccountWaterIdsByContractCode(dto.getKeyword());
            dto.setAccountWaterIdList(accountIdList);
        }
        Page<AccountRunningWaterVo> page = accountRunningWaterService.getPage(dto);
        return page;
    }
}
